CREATE TABLE grc_userdef_access_b (
    ID                    NUMBER(19, 0),
    REVISION_NUMBER       NUMBER(10, 0),
    EFFECTIVE_SEQUENCE    NUMBER(4, 0)     NOT NULL,
    ACCESS_TYPE_ID        NUMBER(19, 0),
    DATASOURCE_ID         NUMBER(19, 0),
    STATE_CODE            VARCHAR2(120)    NOT NULL,
    STATUS                VARCHAR2(120)    NOT NULL,
    REVISION_DATE         TIMESTAMP(6) ,
    EFFECTIVE_DATE        DATE         ,
    CREATED_BY            VARCHAR2(256)    NOT NULL,
    CREATION_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128),
    ID                    NUMBER(19, 0),
    REVISION_NUMBER       NUMBER(10, 0),
    EFFECTIVE_SEQUENCE    NUMBER(4, 0)     NOT NULL,
    ACCESS_TYPE_ID        NUMBER(19, 0),
    DATASOURCE_ID         NUMBER(19, 0),
    STATE_CODE            VARCHAR2(120)    NOT NULL,
    STATUS                VARCHAR2(120)    NOT NULL,
    REVISION_DATE         TIMESTAMP(6) ,
    EFFECTIVE_DATE        DATE         ,
    CREATED_BY            VARCHAR2(256)    NOT NULL,
    CREATION_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY       VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE      TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN     VARCHAR2(128),
    CONSTRAINT pk_grc_userdef_access_b PRIMARY KEY (ID, ID)
);
